RDKit: RDKit::EnumerateStereoisomers::details::AtomFlipper Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::EnumerateStereoisomers::details::AtomFlipper Struct Reference

`#include <Flippers.h>`

Inheritance diagram for RDKit::EnumerateStereoisomers::details::AtomFlipper:

## Public Member Functions
| AtomFlipper ()=delete
| AtomFlipper (RWMol &mol, const Chirality::StereoInfo &si)
| AtomFlipper (const AtomFlipper &other)=delete
| AtomFlipper (AtomFlipper &&other)=delete
AtomFlipper & | operator= (const AtomFlipper &other)=delete
AtomFlipper & | operator= (AtomFlipper &&other)=delete
| ~AtomFlipper () override=default
void | flip (bool flag) override
Public Member Functions inherited from RDKit::EnumerateStereoisomers::details::Flipper
| Flipper ()=default
| Flipper (const Flipper &other)=delete
| Flipper (Flipper &&other)=delete
Flipper & | operator= (const Flipper &other)=delete
Flipper & | operator= (Flipper &&other)=delete
virtual | ~Flipper ()=default

## Public Attributes
Atom * | dp_atom {nullptr}

## Detailed Description

Definition at line 41 of file Flippers.h.

## Constructor & Destructor Documentation

## ◆ AtomFlipper() [1/4]

RDKit::EnumerateStereoisomers::details::AtomFlipper::AtomFlipper | ( |  | ) |
| delete

Referenced by AtomFlipper(), AtomFlipper(), operator=(), and operator=().

## ◆ AtomFlipper() [2/4]

RDKit::EnumerateStereoisomers::details::AtomFlipper::AtomFlipper | ( | RWMol & | mol,
|  | const Chirality::StereoInfo & | si )

## ◆ AtomFlipper() [3/4]

RDKit::EnumerateStereoisomers::details::AtomFlipper::AtomFlipper | ( | const AtomFlipper & | other | ) |
| delete

References AtomFlipper().

## ◆ AtomFlipper() [4/4]

RDKit::EnumerateStereoisomers::details::AtomFlipper::AtomFlipper | ( | AtomFlipper && | other | ) |
| delete

References AtomFlipper().

## ◆ ~AtomFlipper()

RDKit::EnumerateStereoisomers::details::AtomFlipper::~AtomFlipper | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ flip()

void RDKit::EnumerateStereoisomers::details::AtomFlipper::flip | ( | bool | flag | ) |
| overridevirtual

Implements RDKit::EnumerateStereoisomers::details::Flipper.

## ◆ operator=() [1/2]

AtomFlipper & RDKit::EnumerateStereoisomers::details::AtomFlipper::operator= | ( | AtomFlipper && | other | ) |
| delete

References AtomFlipper().

## ◆ operator=() [2/2]

AtomFlipper & RDKit::EnumerateStereoisomers::details::AtomFlipper::operator= | ( | const AtomFlipper & | other | ) |
| delete

References AtomFlipper().

## Member Data Documentation

## ◆ dp_atom

Atom* RDKit::EnumerateStereoisomers::details::AtomFlipper::dp_atom {nullptr}

Definition at line 53 of file Flippers.h.

The documentation for this struct was generated from the following file:

- Flippers.h